libXtst.so.6.1 Conflicts with File From Package XFree86-libs When Installing xorg-x11-libs-compat (Doc ID 825074.1)

Last updated on JANUARY 06, 2010

Applies to:

Linux OS - Version: 5.0
Information in this document applies to any platform.
Linux Kernel - Version: 5.0

Symptoms

File /usr/X11R6/lib/libXtst.so.6.1 conflicts with file from package XFree86-libs-4.2.1-23.i386 when installing rpm package xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386
# rpm -ivf openmotif21-2.1.30-11.EL5.i386.rpm
error: Failed dependencies:
libXp.so.6 is needed by openmotif21-2.1.30-11.EL5.i386
#  rpm -ivf XFree86-libs-4.2.1-23.i386.rpm
warning: XFree86-libs-4.2.1-23.i386.rpm: Header V3 DSA signature: NOKEY, key ID db42a60e
Preparing packages for installation...
XFree86-libs-4.2.1-23
# rpm -ivf openmotif21-2.1.30-11.EL5.i386.rpm
Preparing packages for installation...
openmotif21-2.1.30-11.EL5
# rpm -ivf xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386.rpm
Preparing packages for installation...
file /usr/X11R6/lib/libXtst.so.6.1 from install of
xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386 conflicts with file from package
XFree86-libs-4.2.1-23.i386

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms